if (netLabel.alpha > 0) {netLabel.alpha -= 0.05; netItemLabel.alpha -= netLabel.alpha;}
for (var i = 0; netA [i] != undefined; i++) 
{if (netA [i] [4] != false) {if (netA [i] [1] > netA [i] [2]) {netA [i] [2] = Math.min(5+netA [i] [2],netA [i] [1]);} 
if (netA [i] [1] < netA [i] [2]) {netA [i] [2] = 0;} 
if (netA [i] [1] == netA [i] [2] && netA [i] [2] != 0) {netThrow();}} 
if (netA [i] [0] != false)
{if (netA [i] [3].isAlive() == true) {if (netA [i] [3].insideOfWater == true) 
{entp = netA [i] [3].getPosition(); netA [i] [3].setDead(); netA [i] [7] = []; netA [i] [7] [0] = Math.floor(entp.x); 
netA [i] [7] [1] = Math.floor(entp.y); netA [i] [7] [2] = Math.floor(entp.z);
world.setBlockIDAndMetadata(Math.floor(entp.x),Math.floor(entp.y),Math.floor(entp.z),209,2);}}
else {if (time.time%10 == 0 && netA [i] [8] == 0) {j = Math.sqrt(time.time-netA [i] [6]+fishing_lvl);
k = Math.random()*20; if (k > 150/j && k < 240/j) {netA [i] [8] = 2010; netA [i] [9] = 1;} 
if (k > 240/j && k < 290/j) {netA [i] [8] = 2013; netA [i] [9] = 4;}
if (k > 290/j && k < 330/j) {netA [i] [8] = 2014; netA [i] [9] = 7;} 
if (k > 330/j) {netA [i] [8] = 2015; netA [i] [9] = 10;}}
if (getBlock != null && netA [i] [7] [0] == getBlock.x && netA [i] [7] [1] == getBlock.y
&& netA [i] [7] [2] == getBlock.z) {netLabel.alpha = 1; if (netA [i] [8] != 0) {netItemLabel.alpha = 1;
j = netA [i] [8]; netItemLabel.u = 16*prices [j] [0] [3]; netItemLabel.v = 16*prices [j] [0] [4];}}}}}